using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Background : MonoBehaviour
{
	void Awake()
    {
        EventManager.SubscribeCameraMoved(TrackCameraMovement);
    }

    void TrackCameraMovement(float xPosition)
    {
		transform.position = new Vector3(xPosition, transform.position.y, transform.position.z);		
    }
}
